version: '3'

services:
  db:
    image: postgres
    environment:
      POSTGRES_DB: myproject
      POSTGRES_USER: myproject
      POSTGRES_PASSWORD: myproject
    volumes:
      - db_data:/var/lib/postgresql/data/

  redis:
    image: redis

  app:
    build: .
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - .:/app
    ports:
      - "8000:8000"
    depends_on:
      - db
      - redis
    environment:
      DATABASE_URL: postgresql://myproject:myproject@db/myproject
      REDIS_URL: redis://redis:6379/0

volumes:
  db_data:
